/***************************************************/
/* Game Excelleration Kit vX                       */
/* Copyright (C) 2001 by HourGlass Software NonInc */
/***************************************************/
#ifndef __GEKFrustum__
#define __GEKFrustum__
/*! 
	\author MoJo
    \file GEKCollide.h
    \brief Basic View Frustum
*/

struct GEKFRUSTUM
{
public:
	GEKPLANE m_akFrustum[6];

public:
	void Generate(const GEKMATRIX &kMatrix);

	bool Visible(const GEKVECTOR3 &kPoint) const;
	bool Visible(const GEKSPHERE &kSphere) const;
	bool Visible(const GEKAABB &kAABB) const;
};

#endif