inline GEKPLANE::GEKPLANE(void)
{
	n.x = 0.0f;
	n.y = 0.0f;
	n.z = 0.0f;
	d = 0.0f;
}

inline GEKPLANE::GEKPLANE(const GEKPLANE &kPlane)
{
	n = kPlane.n;
	d = kPlane.d;
}

inline GEKPLANE::GEKPLANE(float fA, float fB, float fC, float fD)
{
	n.x = fA;
	n.y = fB;
	n.z = fC;
	d = fD;
}

inline GEKPLANE::GEKPLANE(const GEKVECTOR3 &kNormal, float fDistance)
{
	n = kNormal;
	d = fDistance;
}

inline GEKPLANE GEKPLANE::operator = (const GEKPLANE &kPlane)
{
	n = kPlane.n;
	d = kPlane.d;
	return *this;
}